Subject: bug#77468: 30.1.50; package-quickstart file is not relocatable

From: Spencer Baugh <[email-masked]>
Date: Wed, 02 Apr 2025 14:45:53 -0400

The package-quickstart file hardcodes various absolute file names.  This
means it can't be used in situations where the package directory might
be at different absolute names at package-quickstart-refresh time
and at usage time.

For example:

- network filesystems where the user's home directory has a different
  absolute name on different hosts

- a system-wide package-directory-list entry which has a
  package-quickstart file generated for it at build time which has a
  different absolute name at install time (this is my use case; there
  are other problems with it, but the absolute names are the biggest
  one)

I think we should make package-quickstart use file names which are
relative to the location of the package-quickstart file itself.  I'm
happy to write the patch for this if that sounds reasonable.